Skip to main content
GET
/
api
/
public
/
v2
/
skill-collections
List Skill Collections
curl --request GET \
  --url https://api.promptlayer.com/api/public/v2/skill-collections \
  --header 'X-API-KEY: <api-key>'
{
  "skill_collections": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workspace_id": 123,
      "folder_id": 123,
      "root_path": "<string>",
      "name": "<string>",
      "provider": "<string>",
      "is_deleted": true,
      "created_by": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_by": 123,
      "updated_at": "2023-11-07T05:31:56Z",
      "external_ids": [
        {
          "source": "<string>",
          "external_id": "<string>"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.promptlayer.com/llms.txt

Use this file to discover all available pages before exploring further.

Retrieve all non-deleted skill collections available in the authenticated workspace.

Authorizations

X-API-KEY
string
header
required

Query Parameters

created_by_email
string

Filter by the creator's email address.

created_after
string<date-time>

Filter resources created at or after this timestamp.

created_before
string<date-time>

Filter resources created at or before this timestamp.

updated_after
string<date-time>

Filter resources updated at or after this timestamp.

updated_before
string<date-time>

Filter resources updated at or before this timestamp.

external_source
string

External ID source to filter by. Must be provided with external_id.

external_id
string

External ID value to filter by. Must be provided with external_source.

sort_by
enum<string>

Sort field.

Available options:
created_at,
updated_at,
name,
id
sort_order
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc

Response

List of skill collections.

success
enum<boolean>
required
Available options:
true
skill_collections
object[]
required